
function pregnancyOddsAndroid(userInfo, lovesJson){
	android_mc.androidlog(userInfo);
	android_mc.androidlog(lovesJson);
	var odd = pregnancyOddsCalculate(userInfo, lovesJson);
	android_mc.callback(odd);
}


function pregnancyOddsCalculate(userInfo, lovesJson)
{
	userInfo = eval('(' + userInfo + ')');
	
	lovesJson = eval(lovesJson);
	//易孕期每天的怀孕几率
	var easyDay = [0.35,0.4,0.55,0.65,0.8,0.9,0.8,0.75,0.65,0.5];
	
	//自然怀孕概率
	var natureOdd = 0;
	
	switch(userInfo.period){
		case 1: //月经期
			natureOdd = 0.1;
			break;
		case 2: //安全期
			natureOdd = 0.15;
			break;
		case 3: //易孕期
			if(userInfo.easyDay > 10) return 0;
			natureOdd = easyDay[userInfo.easyDay-1];
			break;
		case 4: //排卵日
			natureOdd = 0.9;
			break;
		default:
			return -1;
	}
	var lovesTime = lovesJson.length;
	
	//若无爱爱记录，只返回自然怀孕几率
	if(lovesTime==0){
		return natureOdd*100;
	}
	if(lovesTime == 1){
		var coefficient = 1;
		//true 无措施 100%
		if(lovesJson[0].is_safety_measure == true){
			coefficient = 1;
		}
		//体外排精
		if(lovesJson[0].is_outside_spermiation == true){
			coefficient = 0.05;
		}
		//避孕药 0.02
		if(lovesJson[0].is_taken_birth_control_pill == true){
			coefficient = 0.02;
		}
		//安全套 
		if(lovesJson[0].is_used_condom == true){
			coefficient = 0.01;
		}
		
		
		var odd = natureOdd * coefficient;
		var result = forDight(odd,2)*100;
	}
	else if(lovesTime > 1){
		//若当天有一次使用避孕药，则除了使用避孕套之外的几率全部为0.02
		var useAcyeterion = false;
		for(var i=0; i < lovesTime; i++){
			if(lovesJson[i].is_taken_birth_control_pill == true){
				useAcyeterion = true;
				break;
			}
		}
		
		//多次爱爱怀孕几率
		var oddArr = [];
		for(var i=0; i < lovesTime; i++){
			var coefficient = 0.02;
			//无措施
			if(lovesJson[i].is_safety_measure == true && useAcyeterion == false){
				coefficient = 1;
			}
			//体外排精
			if(lovesJson[i].is_outside_spermiation == true && useAcyeterion == false){
				coefficient = 0.05;
			}
			//避孕药 0.02
			if(lovesJson[i].is_taken_birth_control_pill == true && useAcyeterion == false){
				coefficient = 0.02;
			}
			//安全套 
			if(lovesJson[i].is_used_condom == true){
				coefficient = 0.01;
			}
			
			oddArr.push(natureOdd*coefficient);
		}
		
		//多次爱爱不怀孕的几率乘积
		var notOddProduct = 1;
		for(var i=0; i < lovesTime; i++){
			notOddProduct = notOddProduct*(1-oddArr[i]);
		}
		
		var result = forDight(1-notOddProduct,2)*100;
	}
	
	if(result == 100){
		result = 99;
	}
	else if(result == 0){
		result = 1;
	}
	
	return result;
}

function forDight(Dight,How){  
    Dight = Math.round(Dight*Math.pow(10,How))/Math.pow(10,How);  
    return Dight;  
}
